digiKam Developer Documentation: Digikam::DNNSFaceExtractor Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DNNSFaceExtractor Class Reference
Inheritance diagram for Digikam::DNNSFaceExtractor:

## Public Member Functions
virtual cv::Mat | alignFace (const cv::Mat &inputImage) const override
virtual cv::UMat | alignFace (const cv::UMat &inputImage) const override
| UMat versions.
virtual const QPair< cv::Mat, cv::Mat > | getFaceEmbedding (const cv::Mat &faceImage) const override
virtual const QPair< cv::Mat, cv::Mat > | getFaceEmbedding (const cv::UMat &faceImage) const override
float | getThreshold (int uiThreshold=DNN_MODEL_THRESHOLD_NOT_SET) const override
| Cover the UI threshold to a float using the conversion factor built into the model.
bool | loadModels () override
| Read pretrained neural network for face recognition.

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::DNNFaceExtractorBase
static double | cosineDistance (const std::vector< float > &v1, const std::vector< float > &v2)
| Calculate different between 2 vectors.
static std::vector< float > | decodeVector (const QJsonArray &json)
static QJsonArray | encodeVector (const std::vector< float > &vector)
static double | L2squareDistance (const std::vector< float > &v1, const std::vector< float > &v2)
static double | L2squareNormDistance (const std::vector< float > &v1, const std::vector< float > &v2)
static cv::Mat | vectortomat (const std::vector< float > &vector)
| Convert face embedding between different formats.

## Member Function Documentation

## ◆ alignFace() [1/2]

cv::Mat Digikam::DNNSFaceExtractor::alignFace | ( | const cv::Mat & | inputImage | ) | const
| overridevirtual

Implements Digikam::DNNFaceExtractorBase.

## ◆ alignFace() [2/2]

cv::UMat Digikam::DNNSFaceExtractor::alignFace | ( | const cv::UMat & | inputImage | ) | const
| overridevirtual

Implements Digikam::DNNFaceExtractorBase.

## ◆ getFaceEmbedding() [1/2]

const QPair< cv::Mat, cv::Mat > Digikam::DNNSFaceExtractor::getFaceEmbedding | ( | const cv::Mat & | faceImage | ) | const
| overridevirtual

Implements Digikam::DNNFaceExtractorBase.

## ◆ getFaceEmbedding() [2/2]

const QPair< cv::Mat, cv::Mat > Digikam::DNNSFaceExtractor::getFaceEmbedding | ( | const cv::UMat & | faceImage | ) | const
| overridevirtual

Implements Digikam::DNNFaceExtractorBase.

## ◆ getThreshold()

float Digikam::DNNSFaceExtractor::getThreshold | ( | int | uiThreshold = `DNN_MODEL_THRESHOLD_NOT_SET` | ) | const
| overridevirtual

Implements Digikam::DNNFaceExtractorBase.

## ◆ loadModels()

bool Digikam::DNNSFaceExtractor::loadModels | ( |  | ) |
| overridevirtual

Implements Digikam::DNNFaceExtractorBase.